<template>
    <tr class="wow fadeInUp">
        <td data-label="ID">#{{ deposit.id }}</td>
        <td :data-label="$t('deposits.table.date')">{{ formattedDate }}</td>
        <td :data-label="$t('deposits.table.login')">{{ deposit.user.login }}</td>
        <td :data-label="$t('deposits.table.amount')">{{ formattedAmount }}</td>
        <td :data-label="$t('deposits.table.plan')">{{ deposit.plan.name }}</td>
        <deposit-modal :deposit="deposit"></deposit-modal>
    </tr>
</template>

<script>
    import currencies from './../../currencies';
    import DepositModal from "./DepositModal";

	export default {
		name: "Deposit",
        props: ['deposit'],
        computed: {
            formattedDate(){
                return this.$date(this.deposit.created_at).format('DD.MM.YYYY');
            },
            formattedAmount(){
                return currencies.formatWithDefault(this.deposit.amount, this.deposit.currency);
            },
        },
        components: {
		    DepositModal
        }
	}
</script>

<style scoped>

</style>
